Package: groovy.org.codenarc.rule.formatting

## [Groovy] Class FileEndsWithoutNewlineRule

- groovy.org.codenarc.rule.formatting.FileEndsWithoutNewlineRule

- Makes sure the source code file ends with a newline character.

  Authors:
    Joe Sondow

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `applyTo(SourceCode sourceCode, List violations)` Apply the rule to the given source, writing violations to the given list.

- - ### Property Detail

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override void applyTo(SourceCode sourceCode, List violations)

      Apply the rule to the given source, writing violations to the given list.

      Parameters:
        `sourceCode` - The source to check
        `violations` - A list of Violations that may be added to. It can be an empty list